## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class CollectionType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.CollectionType

Direct Known Subclasses:
  BagType, OrderedSetType, SequenceType, SetType

    public class CollectionType

extends OclAnyType

The ATL Collection type.

Field Summary
`protected OclAnyType` `parameterType` The parameter of the collection.

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`CollectionType(OclAnyType parameter)` Constructor.

Method Summary
`protected static java.lang.String` `computeName(java.lang.String collectionType, OclAnyType parameterType)` Computes the name of the collection with the given parameter type.
`java.lang.String` `getCollectionType()` Returns the collection kind.
`static CollectionType` `getInstance()` Returns the default Collection type singleton.
`OclAnyType` `getParameterType()` Returns the collection parameter type.
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getFeatures, getOclType, getOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parameterType

    protected OclAnyType parameterType

  The parameter of the collection.

Constructor Detail

### CollectionType

    public CollectionType(OclAnyType parameter)

  Constructor.

  Parameters:
    `parameter` - the Collection parameter type

Method Detail

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `OclAnyType.getSupertypes()`

### getCollectionType

    public java.lang.String getCollectionType()

  Returns the collection kind.

  Returns:
    the collection kind

### getParameterType

    public OclAnyType getParameterType()

  Returns the collection parameter type.

  Returns:
    the collection parameter type

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `OclAnyType`
  Returns:
    the operations
  See Also:
    `OclAnyType.getTypeOperations()`

### computeName

    protected static java.lang.String computeName(java.lang.String collectionType,
                                                  OclAnyType parameterType)

  Computes the name of the collection with the given parameter type.

  Parameters:
    `collectionType` - the collection type (Sequence, Bag, Set, OrderedSet)
    `parameterType` - the parameter type
  Returns:
    the computed name

### getInstance

    public static CollectionType getInstance()

  Returns the default Collection type singleton.

  Returns:
    the default Collection type singleton

Copyright 2007 IBM Corporation and others. All Rights Reserved.